Subject: Re: bug#12193: 24.1.50; 24.1.50; Completion broken in revno 109116

From: Eli Zaretskii <[email-masked]>
Date: Tue, 14 Aug 2012 05:50:49 +0300

> From: chad <[email-masked]>
> Date: Mon, 13 Aug 2012 14:04:47 -0700
> Cc: [email-masked]
> 
> 
> On 13 Aug 2012, at 12:16, Eli Zaretskii <[email-masked]> wrote:
> 
> >> From: chad <[email-masked]>
> >> Date: Mon, 13 Aug 2012 11:23:33 -0700
> >> 
> >> 1. Run `emacs -Q'.
> >> 2. Type: `C-x 1' (make sure there is only one window)
> >> 3. Type: `C-x C-f /tm TAB'
> >> 4. Emacs creates a new window for the completions, but puts the cursor
> >>   in the wrong window (it's back in the original window, not
> >>   *Completions* or the minibuffer.
> > 
> > I cannot reproduce this with the current trunk.
> 
> I'm still seeing the problem, but my recipe was off.  Try this instead:
> 
> 1. mkdir /tmp/emacsbug-foo1 /tmp/emacsbug-foo2
> 2. Run `emacs -Q'.
> 3. Type: `C-x C-f /tmp/emacsbug-foo TAB'
> 4. Emacs creates a new window for the completions, but puts the cursor
>   in the wrong window (it's back in the original window, not
>   *Completions* or the minibuffer.

What do you mean by "puts the cursor in the wrong window"?  When Emacs
completes, it shows the active cursor in the minibuffer, not in any
other window.

> It seems to be important that there is more than one completion for the current prefix string, presumably so emacs will create the *Completions* buffer. That was true on my system but probably not generally true.

I get the *Completions* buffer popped up, allright.  I just don't see
the cursor where I wouldn't expect it.

> With this recipe, it still happens in revno 109117.

Which is 500 revisions old.  Maybe you should resync.